<?php
global $otw_bmp_name, $otwPluginDevName, $otw_bmp_plugin_id;;

	//pupulate form values
	$db_values = array();
	
	$db_values['otw_bmp_promotions'] = get_option( $otw_bmp_plugin_id.'_dnms' );
	
	if( empty( $db_values['otw_bmp_promotions'] ) ){
		$db_values['otw_bmp_promotions'] = 'on';
	}

$message = '';
$massages = array();
$messages[1] = esc_html__('Settings saved', 'otw_bmp' );

if ( otw_get( 'message', false )  && isset($messages[otw_get( 'message', '' )])) {
    $message .= $messages[otw_get( 'message', '' )];
}
?>
<?php if ($message) : ?>
    <div id="message" class="updated"><p><?php echo esc_html( $message ); ?></p></div>
<?php endif; ?>
<div class="wrap">
    <div id="icon-edit" class="icon32"><br/></div>
    <h2>
        <?php esc_html_e('Plugin Settings', 'otw_bmp' ) ?>
    </h2>
    <div class="form-wrap <?php echo $otwPluginDevName; ?>_options" id="poststuff">
        <form method="post" action="" class="validate">
            <input type="hidden" name="<?php echo $otwPluginDevName; ?>_action"
                   value="<?php echo $otwPluginDevName; ?>_list_action"/>
            <?php wp_original_referer_field(true, 'previous');
            wp_nonce_field($otw_bmp_name . '-list'); ?>
            <div id="post-body">
                <div id="post-body-content">
                	<div class="otw-form-settings-field">
				<label for="otw_bmp_promotions"><?php esc_html_e('Show OTW Promotion Messages in my WordPress admin', 'otw_bmp'); ?></label>
				<select id="otw_bmp_promotions" name="otw_bmp_promotions">
					<option value="on" <?php echo ( isset( $db_values['otw_bmp_promotions'] ) && ( $db_values['otw_bmp_promotions'] == 'on' ) )? 'selected="selected"':''?>>on(default)</option>
					<option value="off"<?php echo ( isset( $db_values['otw_bmp_promotions'] ) && ( $db_values['otw_bmp_promotions'] == 'off' ) )? 'selected="selected"':''?>>off</option>
				</select>
			</div>

                        <h3><?php esc_html_e('Custom CSS', 'otw_bmp'); ?></h3>
			<p class="description"><?php esc_html_e('Adjust your own CSS for all of your templates. Please use with caution.', 'otw_bmp'); ?></p>
			<div>
				<textarea name="otw_bmp_custom_css" cols="100" rows="35" class="otw-bmp-custom-css"><?php echo otw_esc_text( $customCss, 'cont' );?></textarea>
				<p class="submit">
					<input type="hidden" name="otw_bmp_save_settings" value="1" />
					<input type="hidden" name="otw_bmp_action" value="manage_otw_bmp_options" />
					<?php wp_original_referer_field(true, 'previous'); wp_nonce_field('otw-bmp-options'); ?>
					<input type="submit" value="<?php esc_html_e( 'Save', 'otw_bmp') ?>" name="submit" class="button button-primary button-hero"/>
				</p>
			</div>
                </div>
            </div>
        </form>
    </div>
</div>

