<?php global $content, $chosenButtonType, $otw_bmp_name, $otwPluginDevName; ?>
<div class="wrap">
    <div id="icon-options-general" class="icon32"></div>
    <h2><?php esc_html_e('Delete button', 'otw_bmp' ); ?>
        <a class="button add-new-h2"
           href="admin.php?page=<?php echo $otw_bmp_name; ?>-list&button-type=<?php echo $chosenButtonType; ?>">
            <?php esc_html_e('Back', 'otw_bmp' ) ?>
        </a>
    </h2>
    <div class="form-wrap" id="poststuff">
        <form method="post" action="" class="validate">
            <input type="hidden" name="<?php echo $otwPluginDevName; ?>_action" value="delete_<?php echo esc_attr( $otwPluginDevName ); ?>"/>
            <?php wp_original_referer_field(true, 'previous');
            wp_nonce_field($otw_bmp_name. '-action'); ?>
            <div id="post-body">
                <div id="post-body-content">
                    <div id="col-left">
                        <p>
                            <?php echo sprintf(
                                otw_esc_text( esc_html__('Are you sure you want to delete this button <strong>%s</strong>?', 'otw_bmp' ), 'rcont' ),
                                $content['button_name']
                            ); ?>
                        </p>
                        <p class="submit">
                            <input type="submit" value="<?php esc_html_e('Confirm', 'otw_bmp' ) ?>" name="submit"
                                   class="button"/>
                            <input type="submit" value="<?php esc_html_e('Cancel', 'otw_bmp' ) ?>" name="cancel" class="button"/>
                        </p>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>